<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getTeamSize](./bitburner.bladeburner.getteamsize.md)

## Bladeburner.getTeamSize() method

Get team size.

**Signature:**

```typescript
getTeamSize(type?: BladeburnerActionType, name?: BladeburnerActionName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

_(Optional)_ Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

_(Optional)_ Name of action. Must be an exact match.


</td></tr>
</tbody></table>

**Returns:**

number

Number of Bladeburner team members that were assigned to the specified action.

## Remarks

RAM cost: 4 GB

Returns the number of available Bladeburner team members. You can also pass the type and name of an action to get the number of Bladeburner team members you have assigned to the specified action.

Setting a team is only applicable for Operations and BlackOps. This function will return 0 for other action types.

